#3766 "date_default_timezone_set" not supported in PHP 5.4.x

2.11.9
invalid
nobody
5
2013-06-11
2012-12-30
No

Location "libraries/common.inc.php:288". Nginx + php-fpm (chroot) raise 500 HTTP error here. Problem could be solved like:
if (version_compare(PHP_VERSION, '5.4.0', 'lt')) {
date_default_timezone_set(@date_default_timezone_get());
}

Discussion

  • Marc Delisle

    Marc Delisle - 2012-12-30
    • status: open --> pending
     
  • Marc Delisle

    Marc Delisle - 2013-01-18
    • status: pending --> closed-rejected
    • milestone: --> 2.11.9
     
  • Michal Čihař

    Michal Čihař - 2013-06-11
    • Status: closed-rejected --> invalid
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks